Subject: Re: [PATCH] Avoid errors from git-rev-parse in gitweb blame

From: Jakub Narebski <[email-masked]>
Date: Tue, 3 Jun 2008 15:12:20 +0200

Dnia wtorek 3. czerwca 2008 15:00, Rafael Garcia-Suarez napisał:
> 2008/6/3 Jakub Narebski <[email-masked]>:
>> On Tue, 3 June 2008, Rafael Garcia-Suarez wrote:

>> I was thinking about extending git-blame porcelain format (and also
>> incremental format, of course) by 'parents' (and perhaps
>> 'original-parents') header...
> 
> OK, I see. That would be nice. Also: currently taking "$full_rev^"
> directs the user to the parent commit, but it would be more
> user-friendly to point at the previous commit where the selected file
> was modified instead.

That's what I meant by distinguishing between 'parents' and
'original-parents' (or 'rewritten-parents' and 'parents'): first are
rewritten parents in history limited to specified file (with the
addition of code movements and copying across files/filenames),
second are original parents of a commit.

For gitweb we would use the first set (I wonder what to do in the case
of merge commit, i.e. more than one parent).
 
>>> We could however cache the results of git-rev-parse, since the same
>>> rev is likely to appear many times in the list.
>>
>> ...but starting with cache of git-rev-parse results, or optionally
>> allowing extended sha-1 syntax (including <hash>^) in hash* CGI
>> parameters in gitweb would be a good idea.
>>
>> But as I wrote, I'm fine with the patch as it is now.
> 
> I've sent a new version (take 2) with caching. And comments, as Lea
> suggested :) 
 
Nice. Thanks a lot.

Ack, FWIW.
-- 
Jakub Narebski
Poland